Subject: Re: [PATCH 00/11] git_config callers rewritten with the new config-set API

From: Matthieu Moy <[email-masked]>
Date: Mon, 04 Aug 2014 22:42:28 +0200

Tanay Abhra <[email-masked]> writes:

> This series is the first batch of patches which rewrites the existing callers
> using a non-callback approach.
> This series aims to,
>
> * rewrite the existing callers, as you can see from the diff stat the bew API
>   provides a much concise and clear control flow.
>
> * stress test the new API, see if any corner cases or deficiencies arise or not.

I went through the series. I agree with Eric that there's a slight
behavior change in http-backend.c, and I don't think it's a good thing.

Other than that, the series look good to me, although I would probably
need a second look to double check.

Tanay: I suggest you keep this as one 11-patches series. If you rewrite
more callsites, I'd find it easier to review as a second, independant
series rather than an ever-growing single series.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/